Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdmk.comm
Class CommunicationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.management.JMRuntimeException
                              |
                              +--com.sun.jdmk.comm.CommunicationException

public class CommunicationException
extends javax.management.JMRuntimeException

This class represents exceptions raised due to communications problems, for example when a managed object server is out of reach.

See Also:
  Serialized Form

Field Summary
`java.lang.Throwable` | `target` The embedded exception

Constructor Summary
`CommunicationException(java.lang.String msg)`
`CommunicationException(java.lang.Throwable ex)`

Method Summary
`java.lang.Throwable` | `getTargetException()` Returns the thrown target exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### target

    public java.lang.Throwable target

  The embedded exception

Constructor Detail

### CommunicationException

    public CommunicationException(java.lang.Throwable ex)

### CommunicationException

    public CommunicationException(java.lang.String msg)

Method Detail

### getTargetException

    public java.lang.Throwable getTargetException()

  Returns the thrown target exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD